SOLIDWORKS PDM Professional API Help | Send Feedback
CreateTree Method (IEdmBatchUnlock)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchUnlock Interface : CreateTree Method (IEdmBatchUnlock)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

lEdmUnlockBuildTreeFlags
  Combination of EdmUnlockBuildTreeFlags bits

poCallback
  IEdmUnlockOpCallback; optional callback that you can implement to receive more information about the unlock operation

Creates the file reference tree.

# Syntax

Visual Basic |
--- | ---
    Function CreateTree( _
       ByVal lParentWnd As System.Integer, _
       ByVal lEdmUnlockBuildTreeFlags As System.Integer, _
       Optional ByVal poCallback As IEdmUnlockOpCallback _
    ) As System.Boolean

C# |
--- | ---
    System.bool CreateTree(
       System.int lParentWnd,
       System.int lEdmUnlockBuildTreeFlags,
       IEdmUnlockOpCallback poCallback
    )

C++/CLI |
--- | ---
    System.bool CreateTree(
    &   System.int lParentWnd,
    &   System.int lEdmUnlockBuildTreeFlags,
    &   IEdmUnlockOpCallback^ poCallback
    )

#### Parameters

lParentWnd
  Parent window handle
lEdmUnlockBuildTreeFlags
  Combination of EdmUnlockBuildTreeFlags bits
poCallback
  IEdmUnlockOpCallback; optional callback that you can implement to receive more information about the unlock operation

#### Return Value

True if at least one file is valid for the operation, false if no files are valid for the operation

# Example

See the IEdmBatchUnlock examples.

# Remarks

See the IEdmBatchUnlock remarks for information about using this method.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchUnlock Interface
IEdmBatchUnlock Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional